"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertToNullableGraphQLStringType = void 0;
function isArrayGraphQLStringType(graphQLStringType) {
    return /^\[.+\]$/.test(graphQLStringType);
}
function getGraphQLStringTypeFromArray(graphQLStringType) {
    return graphQLStringType.replace(/(^\[)|(\]$)/g, '');
}
function isNotNullGraphQLStringType(graphQLStringType) {
    return /.+!$/.test(graphQLStringType);
}
function getGraphQLStringTypeFromNotNull(graphQLStringType) {
    return graphQLStringType.replace(/!$/, '');
}
function convertToNullableGraphQLStringType(graphQLStringType) {
    if (isNotNullGraphQLStringType(graphQLStringType)) {
        return convertToNullableGraphQLStringType(getGraphQLStringTypeFromNotNull(graphQLStringType));
    }
    if (isArrayGraphQLStringType(graphQLStringType)) {
        return '[' + convertToNullableGraphQLStringType(getGraphQLStringTypeFromArray(graphQLStringType)) + ']';
    }
    return graphQLStringType;
}
exports.convertToNullableGraphQLStringType = convertToNullableGraphQLStringType;
//# sourceMappingURL=convertToNullableGraphQLStringType.js.map