import { StudioTemplatePropertyType } from "../../../common/studio/studio-model";
import { ScreenAnswers } from "../../../building-blocks/stages/answers/amplicode/ScreenAnswers";
export declare type EntityListMode = 'edit' | 'view' | 'view with details';
export declare type EntityListType = 'list' | 'cards' | 'table';
export interface EntityListAnswers extends ScreenAnswers {
    type?: EntityListType;
    mode?: EntityListMode;
    route: string;
    query: string;
    mutation?: string;
    idField?: string;
    filterByAttributes: Array<string[]>;
}
export declare const entityListQuestions: ({
    caption: string;
    code: string;
    propertyType: StudioTemplatePropertyType;
    defaultValue: string;
    required: boolean;
    relatedProperty?: undefined;
    options?: undefined;
} | {
    caption: string;
    code: string;
    propertyType: StudioTemplatePropertyType;
    required: boolean;
    relatedProperty: string;
    defaultValue?: undefined;
    options?: undefined;
} | {
    caption: string;
    code: string;
    propertyType: StudioTemplatePropertyType;
    defaultValue: string;
    options: string[];
    required?: undefined;
    relatedProperty?: undefined;
} | {
    caption: string;
    code: string;
    propertyType: StudioTemplatePropertyType;
    required: boolean;
    defaultValue?: undefined;
    relatedProperty?: undefined;
    options?: undefined;
} | {
    caption: string;
    code: string;
    propertyType: StudioTemplatePropertyType;
    required: boolean;
    defaultValue: never[];
    relatedProperty?: undefined;
    options?: undefined;
} | {
    caption: string;
    code: string;
    propertyType: StudioTemplatePropertyType;
    required: boolean;
    defaultValue: boolean;
    relatedProperty?: undefined;
    options?: undefined;
})[];
