"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.options = exports.generator = exports.ReactTSRemoveAddonGenerator = void 0;
const path_1 = __importDefault(require("path"));
const amplicodePipeline_1 = require("../../../building-blocks/pipelines/amplicodePipeline");
const options_1 = require("./options");
Object.defineProperty(exports, "options", { enumerable: true, get: function () { return options_1.removeAddonOptions; } });
const write_1 = require("./write");
const template_model_1 = require("./template-model");
const YeomanGenerator_1 = require("../../../building-blocks/YeomanGenerator");
class ReactTSRemoveAddonGenerator extends YeomanGenerator_1.YeomanGenerator {
    constructor(args, options) {
        super(args, options);
    }
    async generate() {
        await amplicodePipeline_1.amplicodePipeline({
            templateDir: path_1.default.join(__dirname, 'template'),
            stages: {
                deriveTemplateModel: template_model_1.deriveTemplateModel,
                write: write_1.write
            }
        }, this);
    }
}
exports.ReactTSRemoveAddonGenerator = ReactTSRemoveAddonGenerator;
exports.generator = ReactTSRemoveAddonGenerator;
//# sourceMappingURL=index.js.map