"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.petDetailsQuery = exports.petDeleteMutation = exports.petListQuery = exports.ownerDeleteMutation = exports.ownerDetailsQuery = exports.ownerListQuery = exports.ownerUpsertMutation = exports.getOwnerQuery = void 0;
exports.getOwnerQuery = `
query Get_Owner($id: BigInteger) {
  owner(id: $id) {
    id
    firstName
    lastName
    city
    address
    email
    telephone
  }
}
`;
exports.ownerUpsertMutation = `
mutation Update_Owner($input: OwnerInputDTOInput) {
  update_Owner(input: $input) {
    id
  }
}
`;
exports.ownerListQuery = `
query Get_Owner_List {
  ownerList {
    id
    firstName
    lastName
    city
    address
    telephone
    email
  }
}
`;
exports.ownerDetailsQuery = `
query Get_Owner($id: BigInteger) {
  owner(id: $id) {
    id
    firstName
    lastName
    city
    address
    telephone
    email
  }
}
`;
exports.ownerDeleteMutation = `
mutation Delete_Owner($id: BigInteger!) {
  delete_Owner(id: $id)
}
`;
exports.petListQuery = `
query Get_Pet_List {
  petList {
    id
    identificationNumber
    birthDate
    type {
      id
      name
    }
    owner {
      id
      firstName
      lastName
    }
  }
}
`;
exports.petDeleteMutation = `
mutation Delete_Pet($id: BigInteger!) {
  delete_Pet(id: $id)
}
`;
exports.petDetailsQuery = `
query Get_Pet($id: BigInteger) {
  pet(id: $id) {
    id
    identificationNumber
    birthDate
    type {
      id
      name
    }
    owner {
      id
      firstName
      lastName
    }
  }
}
`;
//# sourceMappingURL=queries.js.map